Site Config
Set page cache expiration (TTL)
POST
Permission: site.performance
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuidapplication/json- body
ttl_seconds*Ttl SecondsPage cache expiration in seconds (1 minute – 1 year)
Range
60 <= value <= 31536000Successful Response
application/json- response
success*booleandata*The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/nginx/cache/ttl" \ -H "Content-Type: application/json" \ -d '{ "ttl_seconds": 60 }'{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "ttl_seconds": 0 }}